> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Management Accounts

> List management accounts with pagination.



## OpenAPI

````yaml /api/openapi-finindex.json get /management-accounts
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /management-accounts:
    get:
      tags:
        - Management Accounts
      summary: List Management Accounts
      description: List management accounts with pagination.
      operationId: list_management_accounts_management_accounts_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: code
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedManagementAccountsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedManagementAccountsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ManagementAccountResponse'
          type: array
          title: Data
        pagination:
          $ref: >-
            #/components/schemas/routers__external__management_accounts__PaginationInfo
      type: object
      required:
        - data
        - pagination
      title: PaginatedManagementAccountsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagementAccountResponse:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        category:
          type: string
          title: Category
        parent:
          anyOf:
            - $ref: '#/components/schemas/ManagementAccountParent'
            - type: 'null'
        parentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentid
        level:
          type: integer
          title: Level
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        child_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Child Count
      type: object
      required:
        - id
        - code
        - name
        - category
        - level
      title: ManagementAccountResponse
    routers__external__management_accounts__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ManagementAccountParent:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: ManagementAccountParent

````